//
//  AuthorizationCallBackUriParser.h
//  YConnectSDKforIOSLibrary
//
//  Copyright (c) 2012年 Yahoo Japan Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "HttpParameters.h"
#import "AuthorizationException.h"

@interface AuthorizationCallBackUriParser : NSObject {
    
    @protected
    HttpParameters *parameters;

}
@property (nonatomic, retain) NSString *callBackUrl;

- (id)initWithRedirectUri:(NSURL *)redirectUri callBackUri:(NSString *)callBackUri;
- (NSString *)getIdToken;
@end
