//
//  AuthorizationRequestClient.h
//  YConnectSDKforIOSLibrary
//
//  Copyright (c) 2012年 Yahoo Japan Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface AuthorizationRequestClient : NSObject

@property (nonatomic, retain) NSString *redirectUri;
@property (nonatomic, retain) NSString *responseType;
@property (nonatomic, retain) NSString *state;

@property (nonatomic, retain) NSDictionary *dic;

- (id)initWithEndpointUri:(NSString *)endpointUri clientId:(NSString *)clientId;
- (NSURL *)generateAuthorizationUri;
- (void)setParameter:(NSString *)name value:(NSString *)value;
- (NSString *)getParameterValue:(NSString *)name;
@end
