//
//  BaseTokenClient.h
//  YConnectSDKforIOSLibrary
//
//  Copyright (c) 2012年 Yahoo Japan Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "BearerToken.h"
#import "TokenException.h"

@interface BaseTokenClient : NSObject
@property (nonatomic, retain) NSString *endpointUrl;
@property (nonatomic, retain) NSString *clientId;
@property (nonatomic, retain) BearerToken *accessToken;

- (id)initWithEndpointUrl:(NSString *)endpointUrl 
                          clientId:(NSString *)clientId;
- (void)fetch;
- (id)getAccessToken;
@end
