//
//  OAuth2GrantType.m
//  YConnectSDKforIOSLibrary
//
//  Copyright (c) 2012年 Yahoo Japan Corporation. All rights reserved.
//

#import "OAuth2GrantType.h"
static NSString * const AUTHORIZATION_CODE = @"authorization_code";
static NSString * const REFRESH_TOKEN = @"refresh_token";
@implementation OAuth2GrantType

/**
 * Authコードを指定するGrantType
 * @return NSString *
 **/
+ (NSString *)AUTHORIZATION_CODE {
    return AUTHORIZATION_CODE;
}
/**
 * リフレッシュトークンを指定するGrantType
 * @return NSString *
 **/
+ (NSString *)REFRESH_TOKEN {
    return REFRESH_TOKEN;
}
@end
