//
//  TokenException.h
//  YConnectSDKforIOSLibrary
//
//  Copyright (c) 2012年 Yahoo Japan Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface TokenException : NSException

- (id) initWithName:(NSString *)name reason:(NSString *)reason userInfo:(NSDictionary *)userInfo;
- (NSString *) toString;
- (BOOL) isInvalidRequest;
- (BOOL) isUnauthorizedClient;
- (BOOL) isAccessDenied;
- (BOOL) isUnsupportedResponseType;
- (BOOL) isInvalidScope;
- (BOOL) isServerError;
- (BOOL) isTemporarilyUnabailable;
@end
