//
//  IdTokenException.m
//  YConnectSDKforIOSLibrary
//
//  Copyright (c) 2012年 Yahoo Japan Corporation. All rights reserved.
//

#import "IdTokenException.h"

@implementation IdTokenException
/**
 * 初期化
 * @param NSString *name
 * @param NSString *reason
 * @param NSDictionary *userInfo
 * @return id
 **/
- (id)initWithName:(NSString*)name reason:(NSString*)reason userInfo:(NSDictionary*)userInfo {
    self =  [super initWithName:name reason:reason userInfo:userInfo];
    return self;
}
/**
 * 文字列化
 * @return NSString *
 **/
- (NSString *)toString {
    NSString *error = [NSString stringWithFormat:@"name:%@ reason:%@ userInfo:%@", [self name], [self reason], [self userInfo]];
    return error;
}

@end
