//
//  IdTokenObject.m
//  YConnectSDKforIOSLibrary
//
//  Copyright (c) 2012年 Yahoo Japan Corporation. All rights reserved.
//

#import "IdTokenObject.h"

@implementation IdTokenObject

/**
 * 初期化
 * @param NSString *iss
 * @param NSString *userId
 * @param NSString *aud
 * @param NSString *nonce
 * @param long exp
 * @param long iat
 * @return id
 **/
- (id)initWithIss:(NSString *)iss userId:(NSString *)userId aud:(NSString *)aud nonce:(NSString *)nonce exp:(long)exp iat:(long)iat {
    self = [super init];
    _iss = iss;
    _userId = userId;
    _aud = aud;
    _nonce = nonce;
    _exp = exp;
    _iat = iat;
    return self;
}
/**
 * 文字列化
 * @return NSString *
 **/
- (NSString *)toString {
    NSString *json =[NSString stringWithFormat:@"{\"iss\":\"%@\", \"user_id\":\"%@\", \"aud\":\"%@\", \"nonce\":\"%@\", \"exp\":%ld, \"iat\":%ld}", self.iss, self.userId,self.aud, self.nonce, self.exp, self.iat];
    return json;
}
@end
