//
//  IdTokenVerification.h
//  YConnectSDKforIOSLibrary
//
//  Copyright (c) 2012年 Yahoo Japan Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "IdTokenObject.h"
#import "IdTokenException.h"

@interface IdTokenVerification : NSObject
+ (void)check:(NSString *)issuer authNonce:(NSString *)authNonce clientId:(NSString *)clientId iss:(NSString *)iss aud:(NSString *)aud exp:(long)exp iat:(long)iat nonce:(NSString *)nonce;
+ (void)check:(NSString *)issuer authNonce:(NSString *)authNonce clientId:(NSString *)clientId iss:(NSString *)iss aud:(NSString *)aud exp:(long)exp iat:(long)iat nonce:(NSString *)nonce currentTime:(long)currentTime;
+ (void)check:(NSString *)issuer authNonce:(NSString *)authNonce clientId:(NSString *)clientId idTokenObject:(IdTokenObject *)idTokenObject;
+ (void)check:(NSString *)issuer authNonce:(NSString *)authNonce clientId:(NSString *)clientId idTokenObject:(IdTokenObject *)idTokenObject currentTime:(long)currentTime;
+ (void)check:(NSString *)issuer authNonce:(NSString *)authNonce clientId:(NSString *)clientId idTokenJSON:(NSString *)idTokenJSON;
+ (void)check:(NSString *)issuer authNonce:(NSString *)authNonce clientId:(NSString *)clientId idTokenJSON:(NSString *)idTokenJSON currentTime:(long)currenTime;
+ (IdTokenObject *)parseIdToken:(NSString *)json;

@end
