//
//  OIDCPrompt.m
//  YConnectSDKforIOSLibrary
//
//  Copyright (c) 2012年 Yahoo Japan Corporation. All rights reserved.
//

#import "OIDCPrompt.h"
static NSString * const LOGIN = @"login"; //強制ログイン
static NSString * const CHANGE_ID = @"change_account";
static NSString * const CONSENT = @"consent"; //強制同意
static NSString * const NONE = @"none";
static NSString * const LOGIN_CONSENT = @"login%20consent"; //強制ログイン+同意
static NSString * const EMPTY = @"";
@implementation OIDCPrompt

/**
 * 強制ログイン
 * @return NSString *
 **/
+ (NSString *) LOGIN {
    return LOGIN;
}
/**
 * 強制アカウント変更
 * @return NSString *
 **/
+ (NSString *) CHANGE_ID {
    return CHANGE_ID;
}
/**
 * 強制同意
 * @return NSString *
 **/
+ (NSString *) CONSENT {
    return CONSENT;
}
/**
 * 強制なし
 * @return NSString *
 **/
+ (NSString *) NONE {
    return NONE;
}
/**
 * 強制ログイン+同意
 * @return NSString *
 **/
+ (NSString *) LOGIN_CONSENT {
    return LOGIN_CONSENT;
}
/**
 * 空文字
 * @return NSString *
 **/
+ (NSString *) EMPTY {
    return EMPTY;
}
@end
