//
//  UserInfoClient.h
//  YConnectSDKforIOSLibrary
//
//  Copyright (c) 2012年 Yahoo Japan Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "APIClient.h"
#import "UserInfoObject.h"

@interface UserInfoClient : APIClient
@property (nonatomic, retain) UserInfoObject *userInfoObject;

- (id)initWithAccessToken:(BearerToken *)accessToken;
- (id)initWithAccessTokenString:(NSString *)accessTokenString;
- (void)fetchResource:(NSString *)url method:(NSString *)method;
- (UserInfoObject *)getUserInfoObject;
@end
