//
//  OAuth2Scope.m
//  YConnectSDKforIOSLibrary
//
//  Copyright (c) 2012年 Yahoo Japan Corporation. All rights reserved.
//

#import "OAuth2Scope.h"

static NSString * const OPENID = @"openid";
static NSString * const OPENID_PROFILE = @"openid%20profile";
static NSString * const OPENID_EMAIL_ADDRESS = @"openid%20email%20address";

@implementation OAuth2Scope

/**
 * openidのスコープ
 * @return NSString *
 **/
+ (NSString *)OPENID {
    return OPENID;
}
/**
 * openidとプロフィール(基本情報)のスコープ
 * @return NSString *
 **/
+ (NSString *)OPENID_PROFILE {
    return OPENID_PROFILE;
}
/**
 * openidとEメール、住所のスコープ
 * @return NSString *
 **/
+ (NSString *)OPENID_EMAIL_ADDRESS {
    return OPENID_EMAIL_ADDRESS;
}

@end
