//
//  RefreshTokenClient.h
//  YConnectSDKforIOSLibrary
//
//  Copyright (c) 2012年 Yahoo Japan Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "HttpHeaders.h"
#import "HttpParameters.h"
#import "HttpClient.h"
#import "BearerToken.h"
#import "BaseTokenClient.h"
#import "OAuth2GrantType.h"

@interface RefreshTokenClient : BaseTokenClient
@property (nonatomic, retain) HttpClient *client;
@property (nonatomic, retain) NSString *refreshToken;
@property (nonatomic, retain) BearerToken *accessToken;

- (id)initWithEndpointUrl:(NSString *)endpointUrl 
                          refreshToken:(NSString *)refreshToken 
                          clientId:(NSString *)clientId;
- (void)fetch;
- (id)getAccessToken;
@end
