//
//  TokenClient.h
//  YConnectSDKforIOSLibrary
//
//  Copyright (c) 2012年 Yahoo Japan Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "HttpHeaders.h"
#import "HttpParameters.h"
#import "HttpClient.h"
#import "BaseTokenClient.h"
#import "OAuth2GrantType.h"

@interface TokenClient : BaseTokenClient
@property (nonatomic, retain) HttpClient *client;
@property (nonatomic, retain) NSString *authorizationCode;
@property (nonatomic, retain) NSString *redirectUri;
@property (nonatomic, retain) NSString *idToken;

- (id)initWithEndpointUrl:(NSString *)endpointUrl 
                          authorizationCode:(NSString *)authorizationCode 
                          redirectUri:(NSString *)redirectUri 
                          clientId:(NSString *)clientId;
- (void)fetch;
- (NSString *)getIdToken;
@end
