//
//  CheckIdClient.h
//  YConnectSDKforIOSLibrary
//
//  Copyright (c) 2012年 Yahoo Japan Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "IdTokenObject.h"
#import "HttpClient.h"
#import "CheckIdException.h"

@interface CheckIdClient : NSObject
@property (nonatomic, retain) IdTokenObject *idTokenObject;
@property (nonatomic, retain) NSString *endpointUrl;
@property (nonatomic, retain) NSString *idToken;
@property (nonatomic) NSTimeInterval checkIdTimeout;
@property long currentTime;
@property (nonatomic, retain) HttpClient *httpClient;

- (id)initWithEndpointUrl:(NSString *)endpointUrl idToken:(NSString *)idToken;
- (void)fetch;
+ (NSDictionary *)extractParameters:(NSString *)wwwAuthHeader;
@end
