//
//  OIDCDisplay.m
//  YConnectSDKforIOSLibrary
//
//  Copyright (c) 2012年 Yahoo Japan Corporation. All rights reserved.
//

#import "OIDCDisplay.h"
static NSString * const DEFAULT = @"page"; //PC用
static NSString * const SMART_PHONE = @"touch"; //スマートフォン用
static NSString * const FEATURE_PHONE = @"wap"; //ガラケー用
static NSString * const POPUP = @"popup";
static NSString * const IN_APP = @"inapp";
@implementation OIDCDisplay

/**
 * PC用の表示
 * @return NSString *
 **/
+ (NSString*) DEFAULT {
    return DEFAULT;
}
/**
 * スマートフォン用の表示
 * @return NSString *
 **/
+ (NSString*) SMART_PHONE {
    return SMART_PHONE;
}
/**
 * ガラケー用の表示
 * @return NSString *
 **/
+ (NSString*) FEATURE_PHONE {
    return FEATURE_PHONE;
}
/**
 * ポップアップ用の表示
 * @return NSString *
 **/
+ (NSString*) POPUP {
    return POPUP;
}
/**
 * アプリ用の表示
 * @return NSString *
 **/
+ (NSString*) IN_APP {
    return IN_APP;
}
@end
